GET /nodes/{uuid}

phylopic.org:phylopic-api

Summary: Returns a specific phylogenetic node.
Operation ID: getNode
Auth: unknown

Parameters (6)

Accept (string, header, optional)

The media type for the response, including API version. Must allow `application/vnd.phylopic.v2+json`. If omitted, `*/*` (a wildcard allowing all types) is assumed, and the response's `Content-Type` header will be `application/vnd.phylopic.v2+json`.

build (integer, query, optional)

Specifies the index of the build for the returned data. Only the current build is valid. Leaving this parameter out will yield a temporary redirect (`307`) to the same URL but with the current `build` value added to the query.

embed_childNodes (string, query, optional)

If `"true"`, includes all members of `childNodes` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_parentNode (string, query, optional)

If `"true"`, includes `parentNode` in `_embedded`.

Constraints: {'pattern': '^true$'}

embed_primaryImage (string, query, optional)

If `"true"`, includes `primaryImage` in `_embedded`.

Constraints: {'pattern': '^true$'}

uuid (string, path, required)

The UUID of the entity.

Examples (3)

TitleTypeURLAction
Basic node lookup curl http://phylopic.org/api/nodes/2e0e2a6e-5fdf-4d86-9154-9e7e437a6394
Node with embedded parent and primary image curl http://phylopic.org/api/nodes/2e0e2a6e-5fdf-4d86-9154-9e7e437a6394?embed_parentNode=true&embed_primaryImage=true
Node with all embed options and specific build curl http://phylopic.org/api/nodes/2e0e2a6e-5fdf-4d86-9154-9e7e437a6394?build=1&embed_childNodes=true&embed_parentNode=true&embed_primaryImage=true

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:38:06.679495 404 208ms
2026-03-23 09:21:09.558289 404 208ms
2026-03-23 09:19:13.295073 404 252ms